Google Adwords now Supports Firefox 3.5

By | July 2, 2009 | 0 Comments


Google Adwords now Supports Firefox 3.5With the release of Firefox 3.5, people started to see the following message when opening Google Adwords interface with the latest browser version:

“Support for Firefox 3.5 is coming soon. Until then, please use an earlier version of Firefox when viewing the new interface.”

Fortunately, the issue has been finally fixed and everything works like a charm again.


About (Author Profile)


Vygantas is a former web designer whose projects are used by companies such as AMD, NVIDIA and departed Westood Studios. Being passionate about software, Vygantas began his journalism career back in 2007 when he founded FavBrowser.com. Having said that, he is also an adrenaline junkie who enjoys good books, fitness activities and Forex trading.